import QtQuick 2.0
import org.ukui.quick.items 1.0
import org.ukui.quick.platform 1.0

DtThemeBackground {
    property bool isHighLight: false
    property bool disable: false
    property string iconSource: ""
    signal clicked()

    useStyleTransparency: false

    backgroundColor: isHighLight ? highLightBackGroundColor()
                                   : normalBackGroundColor()
    border.width: 1
    borderColor: isHighLight ? highLightBorderColor()
                               : normalBorderColor()

    function highLightBackGroundColor() {
        return mouseArea.containsPress ? GlobalTheme.kBrandClick
                                       : mouseArea.containsMouse ? GlobalTheme.kBrandHover
                                                                 : GlobalTheme.highlightActive
    }

    function normalBackGroundColor() {
        return mouseArea.containsPress ? GlobalTheme.kComponentAlphaClick
                                       : mouseArea.containsMouse ? GlobalTheme.kComponentAlphaHover
                                                                 : GlobalTheme.kComponentAlphaNormal
    }

    function highLightBorderColor() {
        return mouseArea.containsPress ? GlobalTheme.kLineBrandClick
                                       : mouseArea.containsMouse ? GlobalTheme.kLineBrandHover
                                                                 : GlobalTheme.kLineBrandNormal
    }

    function normalBorderColor() {
        return mouseArea.containsPress ? GlobalTheme.kLineComponentClick
                                       : mouseArea.containsMouse ? GlobalTheme.kLineComponentHover
                                                                 : GlobalTheme.kLineComponentNormal
    }

    Icon {
        width: parent.width/2
        height: parent.width/2
        anchors.centerIn: parent
        source: parent.iconSource
        mode: parent.isHighLight ? Icon.Highlight : Icon.AutoHighlight
    }

    MouseArea {
        id: mouseArea
        hoverEnabled: true
        anchors.fill: parent
        onClicked: {
            parent.clicked();
        }
    }
}
